Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.content
Class CoverageContentType

    Object
      CodeList<CoverageContentType>
          CoverageContentType

All Implemented Interfaces:
  Serializable, Comparable<CoverageContentType>

    @UML(identifier="MD_CoverageContentTypeCode",
         specification=ISO_19115)
    public final class CoverageContentType

extends CodeList<CoverageContentType>

Specific type of information represented in the cell.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static CoverageContentType` | `IMAGE` Meaningful numerical representation of a physical parameter that is not the actual value of the physical parameter.
`static CoverageContentType` | `PHYSICAL_MEASUREMENT` Value in physical units of the quantity being measured.
`static CoverageContentType` | `THEMATIC_CLASSIFICATION` Code value with no quantitative meaning, used to represent a physical quantity.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static CoverageContentType` | `valueOf(String code)` Returns the CoverageContentType that matches the given string, or returns a new one if none match it.
`static CoverageContentType[]` | `values()` Returns the list of `CoverageContentType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IMAGE

    @UML(identifier="image",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CoverageContentType IMAGE

  Meaningful numerical representation of a physical parameter that is not the actual value of the physical parameter.

### THEMATIC_CLASSIFICATION

    @UML(identifier="thematicClassification",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CoverageContentType THEMATIC_CLASSIFICATION

  Code value with no quantitative meaning, used to represent a physical quantity.

### PHYSICAL_MEASUREMENT

    @UML(identifier="physicalMeasurement",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CoverageContentType PHYSICAL_MEASUREMENT

  Value in physical units of the quantity being measured.

Method Detail

### values

    public static CoverageContentType[] values()

  Returns the list of `CoverageContentType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<CoverageContentType>`

### valueOf

    public static CoverageContentType valueOf(String code)

  Returns the CoverageContentType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.